"""Cupos Schemas"""

from typing import Optional
from pydantic import BaseModel, ConfigDict, Field


class CuposResponse(BaseModel):
    """Cupos de importación"""

    FRACCION: Optional[str] = Field(None, max_length=10)
    NUMEROCUPO: Optional[int] = None
    DOF: Optional[str] = Field(None, max_length=8)
    PERMISO: Optional[str] = Field(None, max_length=2)
    CONDICION: Optional[str] = Field(None, max_length=199)
    VIGENCIA: Optional[str] = Field(None, max_length=8)
    PAIS: Optional[str] = Field(None, max_length=5)
    OBSERVACIONES: Optional[str] = Field(None, max_length=5000)
    ADVIMPO: Optional[str] = Field(None, max_length=20)
    ADVEXPO: Optional[str] = Field(None, max_length=20)
    TIPOOPERACION: Optional[int] = None
    NICO: Optional[str] = Field("", max_length=2)
    SYSID: int

    model_config = ConfigDict(from_attributes=True)
